Skip to main content
`Ctrl`+`K`

# physical_type_to_pixel_axes

ndcube.utils.wcs.physical_type_to_pixel_axes(physical_type, wcs)

  Gets the pixel axis indices corresponding to a world axis physical type.

  Parameters:

    - physical_type (`int`) – The pixel axis number(s) for which the world axis numbers are desired.

    - wcs (`astropy.wcs.wcsapi.BaseLowLevelWCS`) – The WCS object defining the relationship between pixel and world axes.

  Returns:

    pixel_axes – The pixel axis indices corresponding to the physical type.

  Return type:

    `numpy.ndarray`